# **Features**
### Implemented:
 - Display modified gear in first person, third person, and icons
 - Modify the position, scale, and rotation of gear parts and their children
 - Enable and disable gear parts and their children
 - Modify nested children
### Planned:
 - Hide a part's parent model without hiding it's children
 - Change the reticle assigned to a sight part
 - Change the tracer assigned to a front part
 - Add or remove child objects to a gear part
 - Import custom graphic for gear icon


# **Example usage**
## GearPartTransform.json
 - **OfflineID** - Int: References the persistent ID of a weapon in player offline
 - **Name** - String: Internal name for your customization settings
 - **Parts** - list: List of parts to modify
 - **PartHolderObject** - String: Name of the object to modify in gear part holder
 - **PartType** - Int: Index of the component to modify from player offline; overridden by **PartHolderObject**

 *Note: Part type is only required if PartHolderObject is unset. You only need one or the other*
 - **Enabled** - bool: Set the part or child to active or inactive (visible or invisible)
 - **LocalPosition** - vector3: Relative position of a part or child
 - **Scale** - vector3: Relative scale of a part or child
 - **Rotation** - vector3: Relative angle of a part or child
 - **Children** - list: List of child objects to modify
 - **ChildName** - string: object name of the child to modify

*Note: Child object names can be found through GearPartHolder in unity explorer. Usage of unity explorer is highly recommended to determine the ideal settings to use*
