# Zaero's Monster Pack


Custom enemy models that can be used to diversify your enemies more than normally possible! These enemies originate from "Eclipse," "Fatal Experiment 2," "Solo Trials," and "Redemption" if you would like to experience their originally intended use. Otherwise, use them as you please.

#### Note: these models do not come with the special abilities the enemies are intended to use. Those need to be set up in EnemyData and/or EEC.

---

Current available models: "Brawler," "Giant Brawler," "Bleeders", "Grapplers," a tank variant, "Crystalline," "Bloody Mass & Infestation," and "Withered"

Current available textures: "Withered" (mtr_NesterR7), "Afflicted" (mtr_AfflictedR7), "Hallowed" (mtr_Hallowed), "Bleeder" (mtr_strikerflesh), and "Infested" (InfestedA, InfestedB, InfestedC)

## Important Notes: 
- Brawlers: You will need to set the head scale to 0.1 or less as this model has an entirely custom head model. The head is considered a "weakspot." Recommended to use on the "Striker_CB" model due to limitations in color variance.

- Bleeders: No changes are needed to your enemy model, but the claws and spikes have a bloody texture, so it is recommended to use EEC to override the enemy's material to ""mtr_StrikerFlesh"," for the best results. This material is included in this asset bundle pack.

- Grapplers: The size of the tentacle VFX are static and can not be changed in game, so you will need to resize the enemy using "SizeRange" for the best results. The VFX are also designed to match the color scheme of the "birther" texture which would need to be set up with EEC.

- Bloody Mass: The VFX have the same restrictions as grapplers so you need to adjust the enemy SizeRange. This enemy is intended to be used with EEC's "FullyInvisible" feature or it will also have a normal enemy model and look stupid. I recommend checking the Custom/Model.json and EnemySFX from Redemption if you wish to use the original version of these enemies.

- Tank Variant: You can only change the tank's textures if you use EEC due to this being a model customization, otherwise the main tank texture will be the default vanilla one. This customization only affects the weakspots.

- Crystalline & Withered: I have not tested these on the Shadow Striker, Birther, Tank, or Pouncer models. I don't see why they wouldn't work. They have been tested to work on Striker, Shooter, Charger, and Hybrid models. Both are intended to be used with EEC to change the skin texture to "MWP_Crystal" for Crystalline and "mtr_NesterR7" for Withered.

- Crystalline "spikes" act as an armor hitbox. You can edit this in EnemyBalancing and set the armor multiplier to whatever you want.

Recomended "SizeRange": Grappler 1.2 to 1.4, Big Grappler 1.8 to 2, King Grappler 2.2, Emperor Grappler 2.4, Bloody Mass 1.25 to 1.35, Bloody Infestation 2.4, Hallowed & Hallowed B 1.4, Hallowed C 2.0

---
# Prefabs use in EnemyDataBlock

Brawlers:

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Customization_Brawler.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Customization_GiantBrawler.prefab",

Bleeders:

       "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Customization_Bleeder.prefab",


Grapplers:

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Custom_GrapplerR7.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Custom_BigGrapplerR7.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Custom_KingGrapplerR7.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Custom_EmperorGrapplerR7.prefab",


Tank Variant: also works for bither model.

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Customization_TrueTank.prefab",

Crystalline: the crystals act as armor, adjustable in EnemyBalancing

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Customization_Crystalline.prefab",

Bloody Mass: known issue of causing a nullreferenceexception when spawned in, but does not cause any in-game issues.

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Custom_BloodyMassR7.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Custom_BloodyInfestationR7.prefab",
        
Withered: Texture set up is required in EEC. The default model will only include the spikes.

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Virus_Stage4.prefab",
        
Hallowed: Texture set up is required in EEC. The default model will only include the spikes and tentacle VFX. This model has 3 size variants. B is smaller, C is larger. This will change the tentacle VFX. You'll need to experiment with "SizeRange" for the best results.

        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Virus_Stage5.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Virus_Stage5B.prefab",
        "ModelCustomization": "Assets/CustomAssets/Enemies/Content/Virus_Stage5C.prefab",
        

        
---

# Custom Texture Setup
Texture set up requires EEC's Model.JSON. These can be applied to any model. "From" is the original texture. You'll need to fill in the original yourself. The "To" will be the custom texture. Below is an example.

        {
					"From": "striker",
					"To": "mtr_AfflictedR7",
					"SkinNoise": "KeepOriginal",
					"SkinNoiseTexture": ""
		}
        
        
- For Withered texture: mtr_NesterR7
- For Afflicted texture: mtr_AfflictedR7
- For Hallowed texture: mtr_Hallowed
- For Bleeder texture: mtr_strikerflesh
- For Infested texture: InfestedA, InfestedB, or InfestedC

---

In-game appearance of custom enemy models: Name (EEC material name)

| Brawler | Giant Brawler | Bleeder (mtr_strikerflesh)|
| :-: | :-: | :-: |
|<img src="https://i.imgur.com/ewe9E6w.png" width="340" height="340" /> | <img src="https://i.imgur.com/h5Ub2qQ.png" width="340" height="340" /> | <img src="https://i.imgur.com/VQ6u8AP.png" width="340" height="340" /> |

| Crystalline (MWP_Crystal) | Grappler (birther) | Giant Grappler (bither) |
| :-: | :-: | :-:
<img src="https://i.imgur.com/z6oaNqu.png" width="340" height="340" />|<img src="https://i.imgur.com/RzxrrcO.png" width="340" height="340" />|<img src="https://i.imgur.com/ovughty.png" width="340" height="340" /> |

| King Grappler (birther)  | Emperor Grappler (birther)  | Tank/Birther Variant |
| :-: | :-: | :-: |
|<img src="https://i.imgur.com/PEhBclE.png" width="340" height="340" />|<img src="https://i.imgur.com/bv5ZuFQ.png" width="340" height="340" />|<img src="https://i.imgur.com/8Tx5ogi.png" width="340" height="340" />|

| Bloody Mass | Blood Infestation | Withered (mtr_NesterR7) |
| :-: | :-: | :-:|
<img src="https://i.imgur.com/Vql4juO.png" width="340" height="340" />|<img src="https://i.imgur.com/QHa7b5Z.png" width="340" height="340" />|<img src="https://i.imgur.com/HuT7Emy.png" width="340" height="340" />

| Afflicted (mtr_AfflictedR7) | Hallowed (mtr_Hallowed) | Infested (InfestedA) |
| :-: | :-: | :-:|
| <img src="https://i.imgur.com/WUuOqlT.png" width="340" height="340" /> | <img src="https://i.imgur.com/7QPmyOK.png" width="340" height="340" /> | <img src="https://i.imgur.com/Tg3BOab.png" width="340" height="340" /> |

| Infested (InfestedB | Infested (InfestedC) |
| :-: | :-: |
| <img src="https://i.imgur.com/kF0sSS4.png" width="340" height="340" /> | <img src="https://i.imgur.com/xxFOFcI.png" width="340" height="340" /> |

---

## How to use
1) Install the mod.
2) Set the "ModelCustomization" to the any of the above prefabs.
3) (OPTIONAL) Use EEC (extra enemy customization) to assign the enemy's base skin, otherwise they will use the default skin.
4) Spawn them as you would any other enemy.

Check the Custom/model.json folder from "Redemption" to see how the textures are swapped if you don't want the default skins.

Contact [Project Zaero#9999](https://discord.gg/rRMPtv4FAh) on the discord if you find any issues.

## Original enemy materials used with EEC:
Brawler: default, head size set to 0.1

Bleeder: "mtr_StrikerFlesh"

Grappler: "birther"

BloodyMass": default, "FullyInvisible" set to true with EEC.

Tank Variant": default

Crystalline: "MWP_Crystal"

Withered": "mtr_NesterR7"

Afflicted: "mtr_AfflictedR7"

Hallowed: "mtr_Hallowed"

---
## Patch Notes
1.4.0
- Experimental model files are included but will not be referenced here.
- Updated the filepath for the asset pack from bepinex/config/assets/assetbundles to bepinex/assets/assetbundles

1.3.0
- Added 3 "Infested" enemy materials.

1.2.0
- Fixed an issue where the Tank Variant would cause the tank to commit suicide by meleeing itself to death.
- Fixed the issue where Withered would project broken shadows. Greatly increased their visual quality. Their glow effects now work properly.
- Added "Afflicted" and "Hallowed" variants.

1.1.0
- Brawler models will no longer render as giant Unity Cubes by being moved from R6 assets to R7 assets. This will result in a slight change to their appearance.

1.0.4
- Attempt at fixing broken brawler models.

1.0.3
- Fixed asset bundle

1.0.0
Initial Release