A client-side mod that makes kill indicators consistent when you are not host.

Requires Bepinex, but is not dependent on `GTFO-API` plugin, so you can remove `GTFO-API.dll` from `plugins` folder to keep vanilla rundown and progression.

Known Limitations:
- Sentry's will not show kill indicators as it would for host (client simply won't see their own sentry's kills).
- Delay on kill indicator due to ping when client prediction fails. 

============ Config File ============

The way this fix works is by keeping track of enemies you are shooting at:
- If your shot is predicted to kill on client side, the kill marker is shown.
- If a `onkill` event from host is received for an enemy you are shooting at then a kill marker is shown.

To prevent two kill markers from showing, the plugin keeps note of what enemies you are shooting at and what enemies it has already shown the kill marker for:
- If the kill marker for an enemy has already been shown, it will not show it again when receiving the `onkill` event from host.
- It will keep track of kill markers that have been shown in the last 3 seconds (dictated by `markerLifeTime` in config)

To prevent a kill marker showing on an enemy you shot 30 minutes ago, the plugin keeps track of enemies you have shot at recently within a 1 second period (dictated by `tagBufferPeriod` in config)

============ Change Log ============

v0.0.7
- Fixed a bug where clients could see kill markers of bots when they melee kill an enemy.

v0.0.6
- Fixed a bug where clients could see kill markers of bots.

v0.0.5
- Fixed the "Double hit marker on kill" bug -> Used to show both the kill marker and the regular hit marker for the killing shot.
- Added config file to edit timing values for different ping situations (In general, values should be larger for high ping, refer to notes above).

v0.0.4
- Made KillIndicatorFix work together with DamageSync for better indicators.

v0.0.3
- Added DamageSync as a dependency, so if you are *hosting* with DamageSync + KillIndicatorFix, clients will have slightly more consistent kill indicators if they are unmodded.

v0.0.2
- Changed hit marker from network sync to use your last shot location instead of `EyePosition` to make seeing the marker for giants clearer

v0.0.1
- Initial Release